package com.fzm.mall.server.admin.system.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.fzm.mall.server.admin.system.entity.dto.SysQuestionDTO;
import com.fzm.mall.server.admin.system.entity.dto.SysQuestionSaveDTO;
import com.fzm.mall.server.admin.system.entity.dto.SysQuestionUpdateDTO;
import com.fzm.mall.server.admin.system.model.SysQuestion;

/**
 * <p>
 * 系统中心-常见问题 服务类
 * </p>
 *
 * @author fzm
 * @since 2021-03-29
 */
public interface ISysQuestionService extends IService<SysQuestion> {

    void save(SysQuestionSaveDTO questionSaveDTO);

    void update(SysQuestionUpdateDTO questionUpdateDTO);

    void delete(String questionId);

    SysQuestionDTO read(String questionId);

    IPage<SysQuestionDTO> page(Page<SysQuestionDTO> page, String keyword, String navigationId);
}
